#ifndef VMenu_h
#define VMenu_h

#include <GL/glew.h>
#include <GL/glut.h> 
#include "VTexture.h"

#include <iostream>

using namespace std;

class VMenu {
	bool shMenu;
	bool hMenu;
	bool lFile;
	int mPos;
	int actPos;
	float mouseX, mouseY;
	VTexture* tex;
	
	void VMenu::DrawBox(GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
public:
	VMenu();
	
	void draw(void);
	void setMouse(float, float);
	void click(void);
	void showMenu(bool);
	void helpMenu(bool);
	void loadFile(bool);
	bool showMenu(void);
	bool helpMenu(void);
	bool loadFile(void);
	int menuPos(void);
	void menuPos(int);
	void incmenuPos(void);
	void decmenuPos(void);
	
};

#endif